<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <h2>{{ this.cnt }}</h2>
    <button v-on:click="increment">And another one</button>
    <button v-on:click="reset">Reset</button>
  </div>
</template>

<script>
export default {
  name: 'TeapotCounter',
  props: {
    msg: String
  },
  data() {
    return {
      cnt: 0
    }
  },
  methods: {
    increment: function() {
      this.cnt += 1;
    },
    reset: function() {
      this.cnt = 0;
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
